import pytest

@pytest.fixture
def mock_model_name():
    return "llama3.2:3b-gguf-q2-k"

@pytest.fixture
def mock_memory_snapshot():
    from localbench.core.utils import MemorySnapshot
    return MemorySnapshot(ram_used=1000.0, gpu_memory_used=2000.0)

@pytest.fixture
def mock_cortex_response():
    return {
        "model": "llama3.2:3b-gguf-q2-k",
        "usage": {
            "prompt_tokens": 10,
            "completion_tokens": 50,
            "total_tokens": 60
        },
        "choices": [{
            "message": {"content": "Test response"},
            "finish_reason": "stop"
        }]
    }
